Node.jsでimportが使えない

Node.js(v6.10.0) で import を使って モジュールをインポートできなかった。
こんなエラーが出る。

SyntaxError: Unexpected token import

調べてみると、Node.jsの元のV8エンジンはほとんどのES6の機能を実装したが、importはまだ実装されていないらしい。
requireをまだ使っとけってことです。
typescript使ってる場合は気にしなくてもいいですが。

参考にしたサイト


One comment to this article

  1. Karri

    on 2017年5月21日 at 1:12 AM - 返信

    Hello there! This article couldn’t be written much better!
    Looking at this article reminds me of my previous roommate!
    He continually kept talking about this. I most certainly will send this article to him.
    Fairly certain he’s going to have a great read. Thank you for sharing! https://en.wikipedia.org/wiki/Gran_Canaria/074/3

コメントを残す